nxt.blockchain

## Class ChainTransactionId

- java.lang.Object
- - nxt.blockchain.ChainTransactionId

- All Implemented Interfaces:
    java.lang.Comparable<ChainTransactionId>

      public final class ChainTransactionId
      extends java.lang.Object
      implements java.lang.Comparable<ChainTransactionId>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BYTE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainTransactionId(int chainId, byte[] hash)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ChainTransactionId o)`
    `boolean` | `equals(java.lang.Object object)`
    `static ChainTransactionId` | `fromStringId(java.lang.String strId)`
    `Chain` | `getChain()`
    `int` | `getChainId()`
    `static ChainTransactionId` | `getChainTransactionId(Transaction transaction)`
    `ChildChain` | `getChildChain()`
    `ChildTransaction` | `getChildTransaction()`
    `byte[]` | `getFullHash()`
    `org.json.simple.JSONObject` | `getJSON()`
    `java.lang.String` | `getStringId()`
    `Transaction` | `getTransaction()`
    `long` | `getTransactionId()`
    `int` | `hashCode()`
    `static ChainTransactionId` | `parse(java.nio.ByteBuffer buffer)`
    `static ChainTransactionId` | `parse(org.json.simple.JSONObject json)`
    `void` | `put(java.nio.ByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BYTE_SIZE

          public static final int BYTE_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ChainTransactionId

          public ChainTransactionId(int chainId,
                                    byte[] hash)

  - ### Method Detail

    - #### getChainId

          public int getChainId()

    - #### getStringId

          public java.lang.String getStringId()

    - #### getFullHash

          public byte[] getFullHash()

    - #### getTransactionId

          public long getTransactionId()

    - #### getChain

          public Chain getChain()

    - #### getChildChain

          public ChildChain getChildChain()

    - #### getTransaction

          public Transaction getTransaction()

    - #### getChildTransaction

          public ChildTransaction getChildTransaction()

    - #### getChainTransactionId

          public static ChainTransactionId getChainTransactionId(Transaction transaction)

    - #### parse

          public static ChainTransactionId parse(java.nio.ByteBuffer buffer)

    - #### put

          public void put(java.nio.ByteBuffer buffer)

    - #### parse

          public static ChainTransactionId parse(org.json.simple.JSONObject json)

    - #### getJSON

          public org.json.simple.JSONObject getJSON()

    - #### fromStringId

          public static ChainTransactionId fromStringId(java.lang.String strId)

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(ChainTransactionId o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ChainTransactionId>`